spring:
  profiles:
    active: runtime, tools, data

  jpa:
    database: mysql
    show-sql: true
    hibernate:
      ddl-auto: update
      naming:
        strategy: org.hibernate.cfg.DefaultComponentSafeNamingStrategy
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5Dialect

  session:
    store-type: redis

  thymeleaf:
    cache: false

  aop:
    proxy-target-class: true

logging:
  level:
    org.springframework: INFO
    com.qxgmat: DEBUG
    com.nuliji: DEBUG

management:
  security:
    enabled: false

third:
  aliyuncs:
    accessKeyId: 123123123
    accessKeySecret: 123123123123
    sign: "多少教育"
    regionId: "cn-hangzhou"

  amap:
    appKey: a63ffb92338c6bc12788d963f3aecc5b

  wechat:
    pc:
      appId: 123123
      appSecret: 123123

    native:
      appId: 123123
      appSecret: 123123

  redirectUrl: http://www.qianxing.com/gateway/oauth

pay:
  alipay:
    appId: 12312
    appKey: 123123
    appPublicKey: 123123
    pid: 123

  wechat:
    appId: 123123
    appKey: 123123
    pid: 123

  notifyUrl: http://www.qianxing.com/gateway/pay


self:
  secret: qianxing-duoshaojiaoyu

paper:
  sentenceLength: 20
  textbookLength: 31
